Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.builder
Class ProxyClientMessageProcessorBuilder

    java.lang.Object
      org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
          org.mule.module.cxf.builder.ProxyClientMessageProcessorBuilder

All Implemented Interfaces:
  MuleContextAware, MessageProcessorBuilder

Direct Known Subclasses:
  ProxyClientFactoryBean

    public class ProxyClientMessageProcessorBuilder

extends AbstractOutboundMessageProcessorBuilder

Creates an outbound proxy based on a specially configure CXF Client. This allows you to send raw XML to your MessageProcessor and have it sent through CXF for SOAP processing, WS-Security, etc.

The input to the resulting MessageProcessor can be either a SOAP Body or a SOAP Envelope depending on how the payload attribute is configured. Valid values are "body" or "envelope".

Field Summary

Fields inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`address, client, configuration, databinding, decoupledEndpoint, defaultMethod, defaultMethodName, enableMuleSoapHeaders, features, inFaultInterceptors, inInterceptors, mtomEnabled, muleContext, operation, outFaultInterceptors, outInterceptors, payloadToArguments, properties, wsdlLocation`

Constructor Summary
`ProxyClientMessageProcessorBuilder()`

Method Summary
`protected void` | `configureClient(org.apache.cxf.endpoint.Client client)`
`protected void` | `configureMessageProcessor(CxfOutboundMessageProcessor processor)`
`protected org.apache.cxf.endpoint.Client` | `createClient()`
`String` | `getPayload()`
`boolean` | `isProxyEnvelope()`
`void` | `setPayload(String payload)`

Methods inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`addMuleInterceptors, build, createClientFromLocalServer, createMessageProcessor, getAddress, getBus, getClient, getConfiguration, getDatabinding, getDecoupledEndpoint, getFeatures, getInFaultInterceptors, getInInterceptors, getOperation, getOutFaultInterceptors, getOutInterceptors, getPayloadToArguments, getProperties, getWsdlLocation, isEnableMuleSoapHeaders, isMtomEnabled, setAddress, setConfiguration, setDatabinding, setDecoupledEndpoint, setEnableMuleSoapHeaders, setFeatures, setInFaultInterceptors, setInInterceptors, setMtomEnabled, setMuleContext, setOperation, setOutFaultInterceptors, setOutInterceptors, setPayloadToArguments, setProperties, setWsdlLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyClientMessageProcessorBuilder

    public ProxyClientMessageProcessorBuilder()

Method Detail

### configureClient

    protected void configureClient(org.apache.cxf.endpoint.Client client)

  Overrides:
    `configureClient` in class `AbstractOutboundMessageProcessorBuilder`

### isProxyEnvelope

    public boolean isProxyEnvelope()

### configureMessageProcessor

    protected void configureMessageProcessor(CxfOutboundMessageProcessor processor)

  Overrides:
    `configureMessageProcessor` in class `AbstractOutboundMessageProcessorBuilder`

### createClient

    protected org.apache.cxf.endpoint.Client createClient()
                                                   throws CreateException,
                                                          Exception

  Specified by:
    `createClient` in class `AbstractOutboundMessageProcessorBuilder`
  Throws:
    `CreateException`
    `Exception`

### getPayload

    public String getPayload()

### setPayload

    public void setPayload(String payload)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.